Subject: [PATCH] Windows: git-shell can be compiled again

From: Johannes Sixt <[email-masked]>
Date: Mon, 08 Sep 2008 12:46:55 +0200

From: Johannes Sixt <[email-masked]>

The reason that git-shell was excluded from the Windows build was that
our compatibility layer needed stuff that was removed when we tried to
link less of the git library into git-shell. Since 4cfc24afc9ff the
complete library is linked again, so we can build git-shell on Windows
as well. (This fixes 'make install', which depends on that git-shell
is always built.)

Signed-off-by: Johannes Sixt <[email-masked]>
---
dhruva schrieb:
>  I cloned the git repo from 'git://git2.kernel.org/pub/scm/git/git.git'.
> I had an earlier msysGIT with build environment. I just got into the msys
> (bash) environment and ran a 'gmake'. It built fine on Windows XP.

This is good to know.

> A trivial issue in install:
> 'gmake install' had a small issue in trying to install non existant
> 'git-shell.exe'. The following trivial patch on master to Makefile
> handles that:

Thanks for bringing up the issue. I was a bit careless reviewing the
changes in that area. Here is a better fix.

-- Hannes

 Makefile |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/Makefile b/Makefile
index dfed7ba..37575f4 100644
--- a/Makefile
+++ b/Makefile
@@ -296,6 +296,7 @@ PROGRAMS += git-pack-redundant$X
 PROGRAMS += git-patch-id$X
 PROGRAMS += git-receive-pack$X
 PROGRAMS += git-send-pack$X
+PROGRAMS += git-shell$X
 PROGRAMS += git-show-index$X
 PROGRAMS += git-unpack-file$X
 PROGRAMS += git-update-server-info$X
@@ -834,7 +835,6 @@ EXTLIBS += -lz
 ifndef NO_POSIX_ONLY_PROGRAMS
 	PROGRAMS += git-daemon$X
 	PROGRAMS += git-imap-send$X
-	PROGRAMS += git-shell$X
 endif
 ifndef NO_OPENSSL
 	OPENSSL_LIBSSL = -lssl
-- 
1.6.0.1.1208.g0bd3.dirty